Bug 23201 - /usr/sbin/jserver starting by default again!!
Summary: /usr/sbin/jserver starting by default again!!
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: FreeWnn   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact:
URL:
Whiteboard: Florence Beta-3
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-03 01:41 UTC by Chris Evans
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-22 17:28:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Evans 2001-01-03 01:41:37 UTC
Full install of everything, RH7.1 BETA1

Upon reboot, "jserver" starts running :-(
It does not look like a particularly secure piece of software. Last time I
looked
at it I found a remote root bug.

Furthermore, jserver runs with real uid root (effective uid "wnn"). Why on
earth
does it need root. This just makes any security holes catastrophic.

We can really do without jserver as a default listen. Didn't we go through
this
in the RH7.0 beta? Ditto for "canna" :)

Comment 1 Glen Foster 2001-01-11 21:16:37 UTC
This defect is considered MUST-FIX for Florence Gold release

Comment 2 Matt Wilson 2001-01-22 17:28:46 UTC
The Canna and FreeWnn packages are now installed if and only if the user selects
"support Japanese" in the installer.  The default for this is off when running
the installer in a language other than Japanese.

It won't even be installed with an Everything install unless you select to
support Japanese in the installer explicitly.


Comment 3 Chris Evans 2001-02-06 16:50:39 UTC
BETA 3: English: Everything install: No Canna or FreeWnn listens.
Nice one.


Note You need to log in before you can comment on or make changes to this bug.